Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface ContainerServlet

All Known Implementing Classes:
  InvokerServlet, ManagerServlet

public interface ContainerServlet

A ContainerServlet is a servlet that has access to Catalina internal functionality, and is loaded from the Catalina class loader instead of the web application class loader. The property setter methods must be called by the container whenever a new instance of this servlet is put into service.

Version:
  $Revision: 1.3 $ $Date: 2001/07/22 20:13:30 $
Author:
  Craig R. McClanahan

Method Summary
`Wrapper` | `getWrapper()` Return the Wrapper with which this Servlet is associated.
`void` | `setWrapper(Wrapper wrapper)` Set the Wrapper with which this Servlet is associated.

Method Detail

### getWrapper

    public Wrapper getWrapper()

  Return the Wrapper with which this Servlet is associated.

### setWrapper

    public void setWrapper(Wrapper wrapper)

  Set the Wrapper with which this Servlet is associated.

  Parameters:
    `wrapper` - The new associated Wrapper

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.